#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    float float_eq_const_0_0;
    float float_eq_const_1_0;

    if (size < 8)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&float_eq_const_0_0, &data[i], 4);
    i += 4;
    memcpy(&float_eq_const_1_0, &data[i], 4);
    i += 4;


    if (float_eq_const_0_0 == 241920.98f)
    if (float_eq_const_1_0 == 2.6241617E26f)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
